Loading...
Searching...
No Matches
Magick::PathLinetoVerticalRel Class Reference
Inheritance diagram for Magick::PathLinetoVerticalRel:

## Public Member Functions

| PathLinetoVerticalRel (double y_)
void | operator() (MagickCore::DrawingWand *context_) const
VPathBase * | copy () const
void | y (double y_)
double | y (void) const

## Private Attributes

double | _y

## Detailed Description

Definition at line 3059 of file Drawable.h.

## Constructor & Destructor Documentation

## PathLinetoVerticalRel()

Magick::PathLinetoVerticalRel::PathLinetoVerticalRel | ( | double | y_ | ) |

inline

Definition at line 3062 of file Drawable.h.

: _y(y_)
{
}

## ~PathLinetoVerticalRel()

Magick::PathLinetoVerticalRel::~PathLinetoVerticalRel | ( | void |  | ) |

Definition at line 2422 of file Drawable.cpp.

{
}

## Member Function Documentation

## copy()

Magick::VPathBase * Magick::PathLinetoVerticalRel::copy | ( |  | ) | const

virtual

Implements Magick::VPathBase.

Definition at line 2430 of file Drawable.cpp.

{
return new PathLinetoVerticalRel(*this);
}

## operator()()

void Magick::PathLinetoVerticalRel::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Implements Magick::VPathBase.

Definition at line 2425 of file Drawable.cpp.

{
DrawPathLineToVerticalRelative( context_, _y );
}

## y() [1/2]

void Magick::PathLinetoVerticalRel::y | ( | double | y_ | ) |

inline

Definition at line 3075 of file Drawable.h.

{
_y = y_;
}

## y() [2/2]

double Magick::PathLinetoVerticalRel::y | ( | void |  | ) | const

inline

Definition at line 3079 of file Drawable.h.

{
return _y;
}

## Field Documentation

## _y

double Magick::PathLinetoVerticalRel::_y

private

Definition at line 3085 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp